For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Discord
DocsAPI Reference
DocsAPI Reference
  • Projects
    • GETList projects
    • POSTCreate a project
    • GETGet a project
    • DELDelete a project
    • PATCHUpdate a project
    • POSTTrigger a dynamic pull request run
    • GETList project credentials
    • POSTCreate a project credential
    • GETList project memories
    • POSTCreate a project memory
    • DELDelete a project memory
    • GETList project files
    • GETList project mobile apps
    • POSTUpload a project mobile app
    • DELDelete a project mobile app
    • POSTInitiate a project mobile app upload
    • POSTConfirm a project mobile app upload
  • Tests
    • GETList tests
    • POSTCreate a test
    • GETGet a test
    • DELDelete a test
    • PATCHUpdate a test
    • POSTTrigger a test run
  • Groups
    • GETList test groups
    • POSTCreate a test group
    • GETGet a test group
    • DELDelete a test group
    • PATCHUpdate a test group
    • POSTAdd a test to a group
    • DELRemove a test from a group
    • POSTTrigger a test group run
  • Webhooks
    • POSTTrigger a project webhook
    • POSTTrigger a group webhook
  • Test Runs
    • GETList test runs
    • GETGet test run status
    • POSTCancel a queued or running run
LogoLogo
Discord
Tests

Create a test

||View as Markdown|
POST
https://tester.army/api/v1/tests
POST
/api/v1/tests
$curl -X POST https://tester.army/api/v1/tests \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "title": "string",
> "steps": [
> {
> "title": "string",
> "type": "act"
> }
> ],
> "projectId": "string"
>}'
1{
2 "test": {
3 "id": "string",
4 "title": "string",
5 "steps": [
6 {
7 "title": "string",
8 "type": "act"
9 }
10 ],
11 "description": "string",
12 "enabled": true,
13 "platform": "web",
14 "projectId": "string",
15 "projectUrl": "string",
16 "projectName": "string",
17 "createdAt": "2024-01-15T09:30:00Z",
18 "updatedAt": "2024-01-15T09:30:00Z"
19 }
20}
Create a structured test definition for a project.
Was this page helpful?
Previous

List tests

Next

Get a test

Built with

Authentication

AuthorizationBearer
API key authentication using Bearer token format

Request

This endpoint expects an object.
titlestringRequired1-500 characters
stepslist of objectsRequired
projectIdstringRequired
descriptionstringOptional
groupIdstring or nullOptionalformat: "uuid"
platformenumOptional
Allowed values:
enabledbooleanOptional

Response

Test created
testobject

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error
500
Internal Server Error
504
Gateway Timeout Error